import { storageApp } from './StorageHelper.ts';
import NavigationManager from '../specs/SpecsManager.ts';

export const pushByName = (name: string, params: any) => {
  storageApp
    .save({
      key: 'MessageActivity',
      data: params,
      expires: 1000 * 3600,
    })
    .finally(() => {
      NavigationManager.navigate(name);
    });
};
